Loading...
Searching...
No Matches
terrain.h File Reference

Terrain rendering - CTerrain class. More...

`#include "graphics/core/vertex.h"`
`#include "math/const.h"`
`#include "math/point.h"`
`#include "math/vector.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for terrain.h:

## Classes

class | Gfx::CTerrain
| Terrain loader/generator and manager. More...
struct | Gfx::CTerrain::TerrainMaterial
| Material for ground surface. More...
struct | Gfx::CTerrain::TerrainMaterialPoint
| Material used for terrain point. More...
struct | Gfx::CTerrain::BuildingLevel
| Flat level for building. More...
struct | Gfx::CTerrain::FlyingLimit
| Spherical limit of flight. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | Gfx::TerrainRes { Gfx::TR_NULL = 0 , Gfx::TR_STONE = 1 , Gfx::TR_URANIUM = 2 , Gfx::TR_POWER = 3 , Gfx::TR_KEY_A = 4 , TR_KEY_B = 5 , TR_KEY_C = 6 , TR_KEY_D = 7 }
| Underground resource type. More...

## Functions

Gfx::IntColor | Gfx::ResourceToColor (TerrainRes res)
| Converts TerrainRes to color.

## Variables

const float | Gfx::TERRAIN_FLATLIMIT = (5.0f*Math::PI/180.0f)
| Limit of slope considered a flat piece of land.

## Detailed Description

Terrain rendering - CTerrain class.